## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToHtmlBaseHandler

### Document::ezcDocumentDocbookToHtmlBaseHandler

### Class ezcDocumentDocbookToHtmlBaseHandler

Basic converter which stores a list of handlers for each node in the docbook element tree. Those handlers will be executed for the elements, when found.

The handler can then handle the repective subtree.

Additional handlers may be added by the user to the converter class.

Source for this file: /Document/src/converters/element_visitor/docbook/xhtml/handler.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToHtmlBaseHandler

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDocumentDocbookToHtmlTableCellHandler | Visit table cells
ezcDocumentDocbookToHtmlAnchorHandler | Visit anchor elements
ezcDocumentDocbookToHtmlMappingHandler | Simple mapping handler
ezcDocumentDocbookToHtmlHeadHandler | Visit docbook sectioninfo elements
ezcDocumentDocbookToHtmlBlockquoteHandler | Visit blockquotes
ezcDocumentDocbookToHtmlMediaObjectHandler | Visit media objects
ezcDocumentDocbookToHtmlSpecialParagraphHandler | Visit special paragraphs
ezcDocumentDocbookToHtmlExternalLinkHandler | Visit external links
ezcDocumentDocbookToHtmlSectionHandler | Visit docbook sections
ezcDocumentDocbookToHtmlLiteralLayoutHandler | Visit literallayout elements
ezcDocumentDocbookToHtmlFootnoteHandler | Visit footnotes
ezcDocumentDocbookToHtmlInternalLinkHandler | Visit internal links.
ezcDocumentDocbookToHtmlIgnoreHandler | Handler for elements, which are safe to ignore
ezcDocumentDocbookToHtmlCommentHandler | Visit docbook comment.
ezcDocumentDocbookToHtmlDefinitionListEntryHandler | Visit definition list entries
ezcDocumentDocbookToHtmlParagraphHandler | Visit paragraphs
ezcDocumentDocbookToHtmlEmphasisHandler | Visit emphasis

### Method Summary

protected DOMElement | `getHead( $element )` Get head of HTML document

### Inherited Methods

From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### getHead

DOMElement getHead( $element )

Get head of HTML document

Get the root node of the HTML document head

##### Parameters:

Name | Type | Description
--- | --- | ---
`$element` | DOMElement |

Documentation generated by phpDocumentor 1.4.3